- Home
- Resources
- Logger API
PUT /log/allLevel
Set all logging levels
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| level |
query |
Log level, TRACE, DEBUG, WARN, INFO |
|
int |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
PUT /log/appenderLevel
Set appenders level for given class and appender
Sample call: /api/log/setAppenderLevel?className=com.tessel.hdc.hdas.common.DataSourceSingletonFactory&appenderName=debugFile&level=INFO
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| appenderName |
query |
appenderName e.g. debugFile |
|
|
| className |
query |
Class name eg. className=com.tessel.hdc.hdas.common.DataSourceSingletonFactory |
|
|
| level |
query |
Log level to be set: TRACE, DEBUG, WARN, INFO (see levelsType) |
|
int |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
GET /log/appendersLevel
Get appenders level for specific class
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| className |
query |
Class Name eg. className=com.tessel.hdc.hdas.common.DataSourceSingletonFactory |
|
|
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
GET /log/effectiveLevel
Get effective logging level for all classes defined
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
GET /log/level
Get logging level
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
PUT /log/level
Set logging level
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| className |
query |
class name, eg. name=com.tessel.hdc.hdas.common.DataSourceSingletonFactory |
|
|
| level |
query |
Log level, TRACE, DEBUG, WARN, INFO, e.g. ?level=TRACE |
|
int |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
GET /log/levelsType
Get possible log level types
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
GET /log/rootLevel
Get Root logging Level
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
PUT /log/rootLevel
Set Root logging Level
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| level |
query |
Provide log level: TRACE, DEBUG, WARN, INFO e.g. ?level=TRACE |
|
int |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|